aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorConstantin Musca <constantinx.musca@intel.com>2013-01-22 11:39:30 +0200
committerRichard Purdie <richard.purdie@linuxfoundation.org>2013-01-22 16:01:32 +0000
commit8d6e55bf2192524bda84138b5356a2791adbbe61 (patch)
tree2e48407212a6df2311668ca0d531ea5d18cc89c7 /scripts
parentcb902c35038b79f8e8ee115fb401f54dd6082d90 (diff)
downloadopenembedded-core-contrib-8d6e55bf2192524bda84138b5356a2791adbbe61.tar.gz
prserv: add LOCALCOUNT to AUTOINCs migration feature
- use migrate_localcount.bbclass to generate AUTOINC entries which are exported to LOCALCOUNT_DUMPFILE - import the generated AUTOINC entries - one can migrate LOCALCOUNT to AUTOINC by executing: bitbake-prserv-tool migrate_localcount [YOCTO #3071] (From OE-Core rev: ffab86f13cafb10d8d6273b6af8cd9a3c84eae20) Signed-off-by: Constantin Musca <constantinx.musca@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/bitbake-prserv-tool32
1 files changed, 32 insertions, 0 deletions
diff --git a/scripts/bitbake-prserv-tool b/scripts/bitbake-prserv-tool
index f3855df0cc..4654e6d421 100755
--- a/scripts/bitbake-prserv-tool
+++ b/scripts/bitbake-prserv-tool
@@ -47,6 +47,35 @@ do_import ()
return $ret
}
+do_migrate_localcount ()
+{
+ df=`bitbake -R conf/migrate_localcount.conf -e | \
+ grep ^LOCALCOUNT_DUMPFILE= | cut -f2 -d\"`
+ if [ "x${df}" == "x" ];
+ then
+ echo "LOCALCOUNT_DUMPFILE is not defined!"
+ return 1
+ fi
+
+ rm -rf $df
+ clean_cache
+ echo "Exporting LOCALCOUNT to AUTOINCs..."
+ bitbake -R conf/migrate_localcount.conf -p
+ [ ! $? -eq 0 ] && echo "Exporting failed!" && exit 1
+
+ echo "Importing generated AUTOINC entries..."
+ [ -e $df ] && do_import $df
+
+ if [ ! $? -eq 0 ]
+ then
+ echo "Migration from LOCALCOUNT to AUTOINCs failed!"
+ return 1
+ fi
+
+ echo "Migration from LOCALCOUNT to AUTOINCs succeeded!"
+ return 0
+}
+
[ $# -eq 0 ] && help && exit 1
case $1 in
@@ -56,6 +85,9 @@ export)
import)
do_import $2
;;
+migrate_localcount)
+ do_migrate_localcount
+ ;;
*)
help
exit 1